javax.jdo.metadata

## Interface MapMetadata

- All Superinterfaces:
    Metadata

      public interface MapMetadata
      extends Metadata

  Represents details of a map in a field/property in a class.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Boolean` | `getDependentKey()` Accessor for whether the key is dependent.
    `Boolean` | `getDependentValue()` Accessor for whether the value is dependent.
    `Boolean` | `getEmbeddedKey()` Accessor for whether the key is embedded.
    `Boolean` | `getEmbeddedValue()` Accessor for whether the value is embedded.
    `String` | `getKeyType()` Accessor for the key type.
    `Boolean` | `getSerializedKey()` Accessor for whether the key is serialised.
    `Boolean` | `getSerializedValue()` Accessor for whether the value is serialised.
    `String` | `getValueType()` Accessor for the value type.
    `MapMetadata` | `setDependentKey(boolean val)` Method to set whether the key is dependent.
    `MapMetadata` | `setDependentValue(boolean val)` Method to set whether the value is dependent.
    `MapMetadata` | `setEmbeddedKey(boolean val)` Method to set whether the key is embedded.
    `MapMetadata` | `setEmbeddedValue(boolean val)` Method to set whether the value is embedded.
    `MapMetadata` | `setKeyType(String type)` Method to set the name of the key type.
    `MapMetadata` | `setSerializedKey(boolean val)` Method to set whether the key is serialised.
    `MapMetadata` | `setSerializedValue(boolean val)` Method to set whether the value is serialised.
    `MapMetadata` | `setValueType(String type)` Method to set the name of the value type.

    - ### Methods inherited from interface javax.jdo.metadata.Metadata

      `getExtensions, getNumberOfExtensions, getParent, newExtensionMetadata`

- - ### Method Detail

    - #### setKeyType

          MapMetadata setKeyType(String type)

      Method to set the name of the key type.
      Parameters:
        `type` - Name of the key type
      Returns:
        This metadata object

    - #### getKeyType

          String getKeyType()

      Accessor for the key type.
      Returns:
        The key type

    - #### setEmbeddedKey

          MapMetadata setEmbeddedKey(boolean val)

      Method to set whether the key is embedded.
      Parameters:
        `val` - Whether it is embedded
      Returns:
        This metadata object

    - #### getEmbeddedKey

          Boolean getEmbeddedKey()

      Accessor for whether the key is embedded.
      Returns:
        whether the key is embedded

    - #### setSerializedKey

          MapMetadata setSerializedKey(boolean val)

      Method to set whether the key is serialised.
      Parameters:
        `val` - Whether it is serialised
      Returns:
        This metadata object

    - #### getSerializedKey

          Boolean getSerializedKey()

      Accessor for whether the key is serialised.
      Returns:
        whether the key is serialised

    - #### setDependentKey

          MapMetadata setDependentKey(boolean val)

      Method to set whether the key is dependent.
      Parameters:
        `val` - Whether it is dependent
      Returns:
        This metadata object

    - #### getDependentKey

          Boolean getDependentKey()

      Accessor for whether the key is dependent.
      Returns:
        whether the key is dependent

    - #### setValueType

          MapMetadata setValueType(String type)

      Method to set the name of the value type.
      Parameters:
        `type` - Name of the value type
      Returns:
        This metadata object

    - #### getValueType

          String getValueType()

      Accessor for the value type.
      Returns:
        The value type

    - #### setEmbeddedValue

          MapMetadata setEmbeddedValue(boolean val)

      Method to set whether the value is embedded.
      Parameters:
        `val` - Whether it is embedded
      Returns:
        This metadata object

    - #### getEmbeddedValue

          Boolean getEmbeddedValue()

      Accessor for whether the value is embedded.
      Returns:
        whether the value is embedded

    - #### setSerializedValue

          MapMetadata setSerializedValue(boolean val)

      Method to set whether the value is serialised.
      Parameters:
        `val` - Whether it is serialised
      Returns:
        This metadata object

    - #### getSerializedValue

          Boolean getSerializedValue()

      Accessor for whether the value is serialised.
      Returns:
        whether the value is serialised

    - #### setDependentValue

          MapMetadata setDependentValue(boolean val)

      Method to set whether the value is dependent.
      Parameters:
        `val` - Whether it is dependent
      Returns:
        This metadata object

    - #### getDependentValue

          Boolean getDependentValue()

      Accessor for whether the value is dependent.
      Returns:
        whether the value is dependent

Copyright © 2005–2022 The Apache Software Foundation. All rights reserved.